Bug 1247624 - Selecting other hostgroup when creating new host removes classes
Selecting other hostgroup when creating new host removes classes
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Host Group (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-28 09:11 EDT by Maxim Burgerhout
Modified: 2016-12-20 15:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 15:07:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maxim Burgerhout 2015-07-28 09:11:40 EDT
Description of problem:
Selecting a different hostgroup while creating a new host clears out the selected Puppet classes. The classes that come with a hostgroup are no longer shown as selected.

Version-Release number of selected component (if applicable):
6.1.0 beta
foreman-1.7.2.32-1.el7sat.noarch

How reproducible:


Steps to Reproduce:
1. Open 'New Host' dialogue
2. Select Hostgroup A
3. Change that to Hostgroup B

Actual results:
Puppet classes screen does not show pre-selected classes belonging to Hostgroup B as selected for this new host

Expected results:
Classes belonging to Hostgroup B should show as selected for this new host

Additional info:
Comment 1 Ohad Levy 2015-07-28 09:36:13 EDT
does it remove all classes (e.g. both host, hostgroup and config group classes) or rather just the classes that originate in the hostgroup that was changed?
Comment 2 Maxim Burgerhout 2015-07-29 06:47:45 EDT
After some more tests: it clears everything, but only after I click "Reset Puppet Environment to match selected Content View". The Puppet Environment does not change when I select a different Content View, so I need to do that. Before changing the Puppet Environment, classes are still selected.

And it clears all classes: it deselects the ones I selected manually for the new host before changing the Puppet environment (which is kind of expected) and it does not select the classes that should come selected automatically with the new hostgroup.
Comment 4 Tomer Brisker 2016-12-20 15:07:27 EST
This appears to work correctly in Satellite 6.2.6. Closing, feel free to reopen if issue persists.

Note You need to log in before you can comment on or make changes to this bug.